#include <bits/stdc++.h>
using namespace std;
int main()
{
    string s;
    cin>>s;
    long long max=0;
    long long d=s.length();
    long long a[d]={0};
    for(long long i=0;i<d;i++)
    {
        a[s[i]-'a']++;
        if(a[s[i]-'a']>max) max = a[s[i]-'a'];
    }
    cout<<max-1;
}